/*
 * @(#)56    1.2  src/pdwebrte/azn/eaidemo/EAIDemo/JavaSource/com/tivoli/am/eb/web/eaidemo/PACAdapter.java, pdweb.ws.authn.eai, amwebrte610, 071017a  9/23/05  10:39:26
 * ===========================================================================
 * Licensed Materials - Property of IBM
 *
 * (C) Copyright IBM Corp. 2004 All Rights Reserved.
 * ===========================================================================
 *
 */
package com.tivoli.am.eb.web.eaidemo;


import java.util.StringTokenizer;


/**
 * Converts a PAC byte array to a string that can be passed in the http
 * response header.
 *
 * @author Tivoli Systems
 */
public final class PACAdapter {
    /**
     * A PAC is formatted as a
     *
     * @param pac
     *
     * @return PAC as a String 
     */
    public static String PACToString(byte[] pac) {
        String pacString = "";

        StringTokenizer tok = new StringTokenizer(new String(pac), "\r\n");

        while(tok.hasMoreTokens()) {
            pacString += tok.nextToken();
        }

        return pacString;
    }
}
